/*
 *  Copyright (C) 2007  Florian octo Forster <octo at verplant.org>
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc., 51
 *  Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 **/

#ifndef UTILS_IMAGE_H
#define UTILS_IMAGE_H 1

#include <stdint.h>

enum ui_image_type
{
	UIT_BW,
	UIT_RGB
};

struct ui_image_s
{
	uint32_t width;
	uint32_t height;

	uint8_t **data;
	enum ui_image_type type;
};
typedef struct ui_image_s ui_image_t;

ui_image_t *ui_create (uint32_t width, uint32_t height);
ui_image_t *ui_create_file (const char *file);
void ui_destroy (ui_image_t *);

#endif /* UTILS_IMAGE_H */

